# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1162  -> 1.1163 
#	  drivers/acpi/bus.c	1.19    -> 1.20   
#	arch/i386/kernel/acpi.c	1.19    -> 1.20   
#	arch/x86_64/kernel/acpi.c	1.8     -> 1.9    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/12/16	len.brown@intel.com	1.1163
# [ACPI] set acpi_disabled=1 on failure for clean /proc
#   http://bugzilla.kernel.org/show_bug.cgi?id=991
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/acpi.c b/arch/i386/kernel/acpi.c
--- a/arch/i386/kernel/acpi.c	Tue Dec 16 02:49:44 2003
+++ b/arch/i386/kernel/acpi.c	Tue Dec 16 02:49:44 2003
@@ -333,8 +333,10 @@
 	 * Initialize the ACPI boot-time table parser.
 	 */
 	result = acpi_table_init();
-	if (result)
+	if (result) {
+		acpi_disabled = 1;
 		return result;
+	}
 
 	result = acpi_blacklisted();
 	if (result) {
diff -Nru a/arch/x86_64/kernel/acpi.c b/arch/x86_64/kernel/acpi.c
--- a/arch/x86_64/kernel/acpi.c	Tue Dec 16 02:49:44 2003
+++ b/arch/x86_64/kernel/acpi.c	Tue Dec 16 02:49:44 2003
@@ -412,8 +412,10 @@
 	 * Initialize the ACPI boot-time table parser.
 	 */
 	result = acpi_table_init();
-	if (result)
+	if (result) {
+		acpi_disabled = 1;
 		return result;
+	}
 
 #ifdef CONFIG_X86_LOCAL_APIC
 
diff -Nru a/drivers/acpi/bus.c b/drivers/acpi/bus.c
--- a/drivers/acpi/bus.c	Tue Dec 16 02:49:44 2003
+++ b/drivers/acpi/bus.c	Tue Dec 16 02:49:44 2003
@@ -2047,8 +2047,10 @@
 #endif
 
 	result = acpi_bus_init();
-	if (result)
+	if (result) {
+		acpi_disabled = 1;
 		return_VALUE(result);
+	}
 
 #ifdef CONFIG_PM
 	pm_active = 1;
